<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:44:37Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DP 4.0.714
 
When installing:
 
 
Installing new version I changed name from previously installed license to ALicense.lic
 
 
Old license gets copied over</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2022-09-15T21:25:17Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-15T17:03:08Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T20:37:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2022-09-13T20:20:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T20:20:22Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T19:55:28Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0@47610, 4.1@47608, updated to always run copy/migrate license, even if a previous install was not found.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T18:14:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T17:45:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>should install license if it has extension .lic in either installer root directory or in the x64 directory (assuming it has &lt;License&gt; and &lt;LicenseAttributes&gt; in the file.
 
should copy the file with the name as is into the install directory.
 
Should find a file in the old install path with any name as long as it has an extension .lic.
 
it will use the first license found.  It will search the root directory of install files first, then subdirectories, then the last install path.
 
if no license is found it should install but warn no license was found to copy. 
 
4.0/4.1@47606
 
 
 
also note that DataPRO may not start with an oddly named license even if we copy it ... in my test I used StrangelyNamedLicense.lic and it was copied but datapro wouldn't recognize it till I renamed it
 
DataPROLicense__DTS
 
looking at the code DP expects:                 FileInfo[] licFiles = folderToSearch.GetFiles("DataPROLicense" + "*.lic"), so DataPROLicense + anything + .lic</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T17:40:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-13T16:57:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-13T15:22:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T15:22:46Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-09-13T15:20:05Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-09-07T21:44:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>As stated in bug 29606, the current implementation requires that a file named "DataPROLicense__DTS.lic" is either in the parent folder to the folder that contains setup.exe (the "version number" folder), or in the C:\DTS\DTS.Suite\&lt;version&gt;\DataPRO folder, in order to be copied to the new DataPRO folder being installed.

The fix should search for any file with a .lic prefix and the following contents:
&lt;License&gt;
  ...
  &lt;LicenseAttributes&gt;
  &lt;/LicenseAttributes&gt;
&lt;/License&gt;

and should add the subfolders of the "version number" folder to the search (e.g., putting the desired license file next to setup.exe should work).</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2022-09-07T21:44:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>